Intents
Reverse an Intent Refund
Declare the reversal of a refund processed by a third-party PSP
POST
This endpoint allows you to reverse an Intent Refund in full or in part if the refund processed by the third-party PSP was not successful and the funds were returned to the platform.
This endpoint effectively changes the Intent Refund
Status to REFUND_REVERSED and re-calculates the RefundedAmount of the LineItem.
You can only reverse the same amount that was refunded.
Path parameters
string
required
The unique identifier of the Intent.
Body parameters
- Full reversal
- Partial reversal
If the Intent Refund was for the full amount of the Intent, then you only need to send the
ExternalData.object
required
Information about the refund processed by the third-party PSP.
Responses
200 - Response parameters
200 - Response parameters
string
The unique identifier of the intent.
integer
The full amount authorized in the Intent, which must equal the sum of the total amounts of all
LineItems.integer
The remaining amount of the Intent that can be split and transferred to the sellers’ wallets.
integer
The amount needing to be settled to the Platform’s technical wallet before the Intent Splits can be executed.
integer
The currency of the intent.
integer
The amount of fees to be diverted to the platform’s Fees Wallet when the Intent is split. This value can be overridden when the Split is created.The
PlatformFees value must the sum of all line item Seller.FeesAmount values.string
The status of the Intent, as declared by the platform through Intent Captures, Refunds (and reversals), or Disputes (and decisions). Where partial actions occur, the top-level Intent
Status may differ from the Status of Intent LineItems.Intent Status values:AUTHORIZED– The IntentAmountwas authorized for acquisition by the PSP and can be captured or canceled.PARTIALLY_CAPTURED– Part of the IntentAmountfrom one or moreLineItemswas captured. The other parts are either still available for capture or cancel.CAPTURED– All of the IntentAmountwas captured. Part of it may have been subsequently refunded or disputed.CANCELLED– All of the IntentAmountwas canceled.REFUNDED– All of theCapturedAmountof allLineItemswas refunded.REFUND_REVERSED– The refund could not be completed and the funds were returned to the platform.DISPUTED– All of theCapturedAmountof allLineItemswas disputed.DEFENDED– The dispute is being defended by the platform.DISPUTED_WON– The dispute was resolved in favor of the platform.DISPUTED_LOST– The dispute was resolved against the platform.
string
The possible next actions on the intent.
object
Information about the refund processed by the third-party PSP.
object
Information about the buyer.
array (object)
Information about the line items included in the intent action.
string
The date and time at which the Intent was created.
Unix timestamp
The date and time at which the Intent moved to
AUTHORIZED.object
Information about the Refund.